import { jsx } from "react/jsx-runtime";
import { TokenCRU as TokenCRU$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCRU = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "CRU", "data-name": "TokenCRU", ...props, children: /* @__PURE__ */ jsx(TokenCRU$1, { variant }) });
  }
);
TokenCRU.displayName = "TokenCRU";
Object.assign(TokenCRU, { isGdsIcon: true });
export {
  TokenCRU
};
